<?php
ini_set("display_errors", "true");
error_reporting (E_ALL);

//todo: compute downloadprefix based on host server, and stage of declaration
$downloadprefix="./";

include './miscUtil.php';

// our summary results handling requires php 5 (for simple xml file loading)
// so, if not php 5, just don't display any summary results
// This was found to be required, since some mirror our whole site (e.g. IBM)
// and not all mirrors use PHP 5
$displayTestSummary = false;
if (phpversion() >= 5) {
    $displayTestSummary = true;
    
    // expecting grandTotalErrors and grandTotalTests
    $filename = "unitTestsSummary.xml";
    if (file_exists($filename)) {
        $prefix = "unitTests_";
        $unitTestsSummary = simplexml_load_file($filename);
        foreach ($unitTestsSummary->summaryItem as $summaryItem) {
            $name = $summaryItem->name;
            $value = $summaryItem->value;
            $code= "\$" . $prefix . $name . " = " . $value . ";";
            //echo "<br />code: " . $code;
            eval($code);
        }
    }

    $filename = "compilelogsSummary.xml";
    $prefix = "code_";
    $compileSummary = simplexml_load_file($filename);
    foreach ($compileSummary->summaryItem as $summaryItem) {
        $name = $summaryItem->name;
        $value = $summaryItem->value;
        $code= "\$" . $prefix . $name . " = " . $value . ";";
        //echo "<br />code: " . $code;
        eval($code);
    }

    $filename = "testcompilelogsSummary.xml";
    if (file_exists("$filename")) {
        $prefix = "test_";
        $compileSummary = simplexml_load_file($filename);
        foreach ($compileSummary->summaryItem as $summaryItem) {
            $name = $summaryItem->name;
            $value = $summaryItem->value;
            $code= "\$" . $prefix . $name . " = " . $value . ";";
            //echo "<br />code: " . $code;
            eval($code);
        }
    }
    else {
        $test_totalErrors = 0;
        $test_totalWarnings = 0;
        $test_totalBundles = 0;
        $test_totalforbiddenAccessWarningCount = 0;
        $test_totaldiscouragedAccessWarningCount = 0;
    }
}



?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title>WTP Patches</title>
</head>

<body>

<table BORDER=0 CELLSPACING=2 CELLPADDING=2 WIDTH="100%">
	<tr>
		<td ALIGN=left><font face="'Bitstream Vera',Helvetica,Arial" size="+2"><b>@type@
		Build: @build@</b></font></td>
	
	
	<tr>
		<td><font size="-1">@date@</font></td>
	</tr>
	<tr>
		<td>
		<p>The Eclipse Web Tools Platform Project provides tools for Web
		Development, and is a platform for adopters making add-on tools for
		Web Development.</p>
		</td>
	</tr>
</table>

<!-- ***********  Required Prerequisites **************  -->
<table border=0 cellspacing=2 cellpadding=2 width="100%">
	<tr>
		<td align="left" valign="top" bgcolor="#0080C0"><font
			face="'Bitstream Vera',Helvetica,Arial" color="#FFFFFF">Required
		Prerequisites</font></td>
	</tr>
	<tr>
		<td>These are the prerequisites project packages used while building
		and testing these patches.</td>
	</tr>
	<tr>
		<td>
		<table border=0 cellspacing=1 cellpadding=1 width="90%" align="center">
			<tr valign="top">
				<td width="10%" />
				
				
				<td>Eclipse Platform (Platform, JDT, PDE)</td>
				<td align="right"><a href="@eclipseURL@">@eclipseFile@</a> or <a
					href=@eclipseBuildURL@>other platform</a></td>
			</tr>
			<tr valign="top">
				<td width="10%" />
				
				
				<td>Eclipse Modeling Framework (EMF, XSD InfoSet, SDO)</td>
				<td align="right"><a href="@emfURL@">@emfFile@</a></td>
			</tr>
			<tr valign="top">
				<td width="10%" />
				
				
				<td>Graphical Editing Framework (GEF)</td>
				<td align="right"><a href="@gefURL@">@gefFile@</a></td>
			</tr>
		</table>
		</td>
	</tr>
</table>

<!-- ***********  WTP **************  -->
<table border=0 cellspacing=2 cellpadding=2 width="100%">
	<tr>
		<td align=left valign=top colspan="5" bgcolor="#0080C0"><font
			face="'Bitstream Vera',Helvetica,Arial" color="#FFFFFF"> Web Tools
		Platform Patches for WTP 1.5.5</font></td>
	</tr>

	<tr>
		<td align="left" valign="top" colspan="5">
		<p>The Zip files contain patches</p>
		</td>
	</tr>
	<tr>
		<td>
		<table border=0 cellspacing=2 cellpadding=2 width="90%" align="center">


			<tr>
				<td align="left" valign="top" width="10%"><b>Patch</b></td>
				<td align="left" valign="top">
				<p>Remember, care is needed in using patches from this page. These
				patches are specific to particular use-cases or adopters and not
				well tested for general cases.</p>
				</td>
				<?php
				$zipfilename="wtp-@build@";
				$filename=$zipfilename.".zip";
				$zipfilesize=fileSizeForDisplay($filename);
				$fileShortDescription="@build@";
				displayFileLine($downloadprefix, $filename, $zipfilesize, $fileShortDescription);
				?>
			</tr>
		</table>
		</td>
	
	
	<tr>

</table>


<!-- ***********  Build Status **************  -->
<table border=0 cellspacing=2 cellpadding=2 width="100%">
	<tr>
		<td align=left valign=top bgcolor="#0080C0"><font
			face="'Bitstream Vera',Helvetica,Arial" color="#FFFFFF">Status, tests
		and other interesting details</font></td>
	</tr>
	<tr>
		<td>
		<table border=0 cellspacing=2 cellpadding=2 width="90%" align="center">

			<tr>
				<td><a href="buildNotes.php">Build notes</a> <br />
				<a href="directory.txt">map files</a> <br />
				<?php

				if ($displayTestSummary) {


				    if (isset($unitTests_grandTotalErrors)) {
				        $errorColor="green";
				        if ($unitTests_grandTotalErrors > 0) {
				            $errorColor="red";
				        }
				        echo "<a href=\"testResults.php\">Unit test results</a>&nbsp;";
				        echo "<img src=\"junit_err.gif\"/><font color=\"" . $errorColor . "\">" . $unitTests_grandTotalErrors . "</font>&nbsp;&nbsp;Total: " . $unitTests_grandTotalTests;
				    }
				    else {
				        echo "<br /><font color=\"orange\">Unit tests are pending</font>&nbsp;&nbsp;<img src=\"pending.gif\"/>";
				    }

				    echo "<br />";
				    echo "<a href=\"compileResults.php\">Compile logs: Code Bundles</a>";

				    echo "&nbsp;&nbsp;($code_totalBundles)&nbsp;&nbsp;";
				    echo "<img src=\"compile_err.gif\"/><font color=red>$code_totalErrors</font>&nbsp;";
				    echo "<img src=\"compile_warn.gif\"/><font color=orange>$code_totalWarnings</font>&nbsp;";
				    echo "<img src=\"access_err.gif\"/><font color=red>$code_totalforbiddenAccessWarningCount</font>&nbsp;";
				    echo "<img src=\"access_warn.gif\"/><font color=orange>$code_totaldiscouragedAccessWarningCount</font>&nbsp;";

				    echo "<br />";
				    echo "<a href=\"testCompileResults.php\">Compile logs: Test Bundles</a>";

				    echo "&nbsp;&nbsp;($test_totalBundles)&nbsp;&nbsp;";
				    echo "<img src=\"compile_err.gif\"/><font color=red>$test_totalErrors</font>&nbsp;";
				    echo "<img src=\"compile_warn.gif\"/><font color=orange>$test_totalWarnings</font>&nbsp;";
				    echo "<img src=\"access_err.gif\"/><font color=red>$test_totalforbiddenAccessWarningCount</font>&nbsp;";
				    echo "<img src=\"access_warn.gif\"/><font color=orange>$test_totaldiscouragedAccessWarningCount</font>&nbsp;";
				}


				echo "<br />";

				if (file_exists("versioningReportName.php")) {
				    include "versioningReportName.php";
				    $fname="${versionReportFilename}.html";
				    if (file_exists($fname)) {
				        echo "<br /> <a href='$fname'>Versioning Information</a>";
				    }
}

echo "<br />";
if (file_exists("./apiresults/api-progress.html"))
{
    echo "<br /> <a href=\"apiresults/api-progress.html\">API Progress Report</a>";
}
if (file_exists("./apiresults/api-info-summary.html"))
{
    echo "<br /> <a href=\"apiresults/api-info-summary.html\">APIs Defined by Each Component</a>";
}
if (file_exists("./apiresults/api-ref-compatibility.html"))
{
    echo "<br /> <a href=\"apiresults/api-ref-compatibility.html\">Adopter Breakage Report</a>";
}
if (file_exists("./apiresults/api-violation-summary.html"))
{
    echo "<br /> <a href=\"apiresults/api-violation-summary.html\">API Violations</a>";
}
if (file_exists("./apiresults/component-api-violation-all.html"))
{
    echo "<br /> <a href=\"apiresults/component-api-violation-all.html\">Non-API dependencies</a>";
}
if (file_exists("./apiresults/api-tc-summary.html"))
{
    echo "<br /> <a href=\"apiresults/api-tc-summary.html\">API Test Coverage</a>";
}
if (file_exists("./apiresults/api-javadoc-summary.html"))
{
    echo "<br /> <a href=\"apiresults/api-javadoc-summary.html\">API Javadoc Coverage</a>";
}
if (file_exists("./apiresults/api-tc-summary.html"))
{
    echo "<br /><br /> <a href=\"apiresults/full_test_coverage/api-tc-summary.html\">Test Coverage for All Classes and Methods</a>";
}

if (file_exists("./perfresults/graph/performance.php"))
{
    echo "<br />";
    echo "<br /> <a href=\"perfresults/graph/performance.php\">Performance Results</a>";
    echo "<br />";
}
?></td>
			</tr>


		</table>
		</td>
	</tr>
</table>



<!-- footer -->
<center>
<hr>
<p>All downloads are provided under the terms and conditions of the <a
	href="http://www.eclipse.org/legal/notice.html">Eclipse.org Software
User Agreement</a> unless otherwise specified.</p>

<p>If you have problems downloading the drops, contact the <font
	face="'Bitstream Vera',Helvetica,Arial" size="-1"><a
	href="mailto:webmaster@eclipse.org">webmaster</a></font>.</p>

</center>
<!-- end footer -->


</body>
</html>
